org.bouncycastle.asn1.cmp

## Class CMPCertificate

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.cmp.CMPCertificate

All Implemented Interfaces:
  ASN1Choice, DEREncodable

    public class CMPCertificate
    extends ASN1Encodable
    implements ASN1Choice

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`CMPCertificate(X509CertificateStructure x509v3PKCert)`

### Method Summary

Methods
`static CMPCertificate` `getInstance(java.lang.Object o)`
`X509CertificateStructure` `getX509v3PKCert()`
`DERObject` `toASN1Object()` CMPCertificate ::= CHOICE { x509v3PKCert Certificate }

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CMPCertificate

    public CMPCertificate(X509CertificateStructure x509v3PKCert)

### Method Detail

#### getInstance

    public static CMPCertificate getInstance(java.lang.Object o)

#### getX509v3PKCert

    public X509CertificateStructure getX509v3PKCert()

#### toASN1Object

    public DERObject toASN1Object()

     CMPCertificate ::= CHOICE {
                x509v3PKCert        Certificate
      }

Specified by:
  `toASN1Object` in class `ASN1Encodable`
Returns:
  a basic ASN.1 object representation.